Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1228693002: Crash on nested IPC handlers in PrintWebViewHelper (Closed)

Created:
5 years, 5 months ago by Vitaly Buka (NO REVIEWS)
Modified:
5 years, 4 months ago
Reviewers:
Lei Zhang, raymes, inferno
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Crash on nested IPC handlers in PrintWebViewHelper Class is not designed to handle nested IPC. Regular flows also does not expect them. Still during printing of plugging them may show message boxes and start nested message loops. For now we are going just crash. If stats show us that this case is frequent we will have to do something more complicated. BUG=502562 Committed: https://crrev.com/8fa5a358cb32085b51daf92df8fd4a79b3931f81 Cr-Commit-Position: refs/heads/master@{#338100}

Patch Set 1 #

Patch Set 2 : #

Total comments: 1

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -1 line) Patch
M components/printing/renderer/print_web_view_helper.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/printing/renderer/print_web_view_helper.cc View 1 2 3 8 chunks +20 lines, -1 line 0 comments Download

Messages

Total messages: 21 (8 generated)
Vitaly Buka (NO REVIEWS)
5 years, 5 months ago (2015-07-08 20:48:16 UTC) #2
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1228693002/1
5 years, 5 months ago (2015-07-08 20:49:24 UTC) #4
Vitaly Buka (NO REVIEWS)
5 years, 5 months ago (2015-07-08 20:49:33 UTC) #6
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/78137) (exceeded global ...
5 years, 5 months ago (2015-07-08 21:36:44 UTC) #8
raymes
On 2015/07/08 21:36:44, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
5 years, 5 months ago (2015-07-09 01:57:55 UTC) #9
Vitaly Buka (NO REVIEWS)
https://codereview.chromium.org/1228693002/diff/20001/components/printing/renderer/print_web_view_helper.cc File components/printing/renderer/print_web_view_helper.cc (right): https://codereview.chromium.org/1228693002/diff/20001/components/printing/renderer/print_web_view_helper.cc#newcode885 components/printing/renderer/print_web_view_helper.cc:885: // script to show message box http://crbug.com/502562. In that ...
5 years, 5 months ago (2015-07-09 05:54:33 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1228693002/40001
5 years, 5 months ago (2015-07-09 05:54:53 UTC) #12
raymes
Thanks for adding the comment. It would be nice to know in what situations we ...
5 years, 5 months ago (2015-07-09 06:37:42 UTC) #13
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
5 years, 5 months ago (2015-07-09 06:39:45 UTC) #15
Vitaly Buka (NO REVIEWS)
https://codereview.chromium.org/1228693002/diff/40001/components/printing/renderer/print_web_view_helper.cc File components/printing/renderer/print_web_view_helper.cc (right): https://codereview.chromium.org/1228693002/diff/40001/components/printing/renderer/print_web_view_helper.cc#newcode888 components/printing/renderer/print_web_view_helper.cc:888: // When this happened message handling function may choose ...
5 years, 4 months ago (2015-07-09 17:56:00 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1228693002/60001
5 years, 4 months ago (2015-07-09 17:57:37 UTC) #19
commit-bot: I haz the power
Committed patchset #4 (id:60001)
5 years, 4 months ago (2015-07-09 18:45:51 UTC) #20
commit-bot: I haz the power
5 years, 4 months ago (2015-07-09 18:46:53 UTC) #21
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/8fa5a358cb32085b51daf92df8fd4a79b3931f81
Cr-Commit-Position: refs/heads/master@{#338100}

Powered by Google App Engine
This is Rietveld 408576698